commit 568ecee9953e2b5eca8156071db24fc3ae23d3f1
Author: Masahiko Sawada <sawada.mshk@gmail.com>
Date:   Mon Apr 17 17:37:03 2017 +0900

    Prevent to log statement double.

diff --git a/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c b/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
index 9d7bb25..69d266f 100644
--- a/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
+++ b/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
@@ -119,8 +119,8 @@ libpqrcv_connect(const char *conninfo, bool logical, const char *appname,
 {
 	WalReceiverConn *conn;
 	PostgresPollingStatusType status;
-	const char *keys[5];
-	const char *vals[5];
+	const char *keys[6];
+	const char *vals[6];
 	int			i = 0;
 
 	/*
@@ -145,6 +145,9 @@ libpqrcv_connect(const char *conninfo, bool logical, const char *appname,
 	{
 		keys[++i] = "client_encoding";
 		vals[i] = GetDatabaseEncodingName();
+		/* Prevent that command is doubly logged  */
+		keys[++i] = "options";
+		vals[i] = "-c log_statement=none";
 	}
 	keys[++i] = NULL;
 	vals[i] = NULL;
